## org.metaabm.act.util
Class MetaABMActAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.act.util.MetaABMActAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  MetaABMActItemProviderAdapterFactory

    public class MetaABMActAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

Constructor Summary
`MetaABMActAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAAccessorAdapter()` Creates a new adapter for an object of class ' `AAccessor`'.
`org.eclipse.emf.common.notify.Adapter` `createAActAdapter()` Creates a new adapter for an object of class '`AAct`'.
`org.eclipse.emf.common.notify.Adapter` `createAAllAdapter()` Creates a new adapter for an object of class '`AAll`'.
`org.eclipse.emf.common.notify.Adapter` `createAAnyAdapter()` Creates a new adapter for an object of class '`AAny`'.
`org.eclipse.emf.common.notify.Adapter` `createABuildAdapter()` Creates a new adapter for an object of class '`ABuild`'.
`org.eclipse.emf.common.notify.Adapter` `createABuildGeographyAdapter()` Creates a new adapter for an object of class ' `ABuild Geography` '.
`org.eclipse.emf.common.notify.Adapter` `createABuildGridAdapter()` Creates a new adapter for an object of class ' `ABuild Grid`'.
`org.eclipse.emf.common.notify.Adapter` `createABuildNetworkAdapter()` Creates a new adapter for an object of class ' `ABuild Network`'.
`org.eclipse.emf.common.notify.Adapter` `createABuildProjectionAdapter()` Creates a new adapter for an object of class '`ABuild Projection`'.
`org.eclipse.emf.common.notify.Adapter` `createABuildSpaceAdapter()` Creates a new adapter for an object of class ' `ABuild Space`'.
`org.eclipse.emf.common.notify.Adapter` `createACauseAdapter()` Creates a new adapter for an object of class '`ACause`'.
`org.eclipse.emf.common.notify.Adapter` `createACommandAdapter()` Creates a new adapter for an object of class '`ACommand`'.
`org.eclipse.emf.common.notify.Adapter` `createAConnectAdapter()` Creates a new adapter for an object of class '`AConnect`'.
`org.eclipse.emf.common.notify.Adapter` `createAControlAdapter()` Creates a new adapter for an object of class '`AControl`'.
`org.eclipse.emf.common.notify.Adapter` `createACreateAgentsAdapter()` Creates a new adapter for an object of class ' `ACreate Agents`'.
`org.eclipse.emf.common.notify.Adapter` `createACreateShapedAgentsAdapter()` Creates a new adapter for an object of class '`ACreate Shaped Agents`'.
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createADieAdapter()` Creates a new adapter for an object of class '`ADie`'.
`org.eclipse.emf.common.notify.Adapter` `createADiffuseAdapter()` Creates a new adapter for an object of class '`ADiffuse`'.
`org.eclipse.emf.common.notify.Adapter` `createADisconnectAdapter()` Creates a new adapter for an object of class ' `ADisconnect`'.
`org.eclipse.emf.common.notify.Adapter` `createAEvaluateAdapter()` Creates a new adapter for an object of class ' `AEvaluate`'.
`org.eclipse.emf.common.notify.Adapter` `createAGroupAdapter()` Creates a new adapter for an object of class '`AGroup`'.
`org.eclipse.emf.common.notify.Adapter` `createAInitializeAdapter()` Creates a new adapter for an object of class ' `AInitialize`'.
`org.eclipse.emf.common.notify.Adapter` `createAInputAdapter()` Creates a new adapter for an object of class '`AInput`'.
`org.eclipse.emf.common.notify.Adapter` `createALeaveAdapter()` Creates a new adapter for an object of class '`ALeave`'.
`org.eclipse.emf.common.notify.Adapter` `createALiteralAdapter()` Creates a new adapter for an object of class '`ALiteral`'.
`org.eclipse.emf.common.notify.Adapter` `createALoadAgentsAdapter()` Creates a new adapter for an object of class ' `ALoad Agents`'.
`org.eclipse.emf.common.notify.Adapter` `createALoadShapedAgentsAdapter()` Creates a new adapter for an object of class '`ALoad Shaped Agents`'.
`org.eclipse.emf.common.notify.Adapter` `createALogicAdapter()` Creates a new adapter for an object of class '`ALogic`'.
`org.eclipse.emf.common.notify.Adapter` `createAMethodAdapter()` Creates a new adapter for an object of class '`AMethod`'.
`org.eclipse.emf.common.notify.Adapter` `createAMoveAdapter()` Creates a new adapter for an object of class '`AMove`'.
`org.eclipse.emf.common.notify.Adapter` `createAMultiValueAdapter()` Creates a new adapter for an object of class ' `AMulti Value`'.
`org.eclipse.emf.common.notify.Adapter` `createANetworkAdapter()` Creates a new adapter for an object of class '`ANetwork`'.
`org.eclipse.emf.common.notify.Adapter` `createANoneAdapter()` Creates a new adapter for an object of class '`ANone`'.
`org.eclipse.emf.common.notify.Adapter` `createAPerformAdapter()` Creates a new adapter for an object of class '`APerform`'.
`org.eclipse.emf.common.notify.Adapter` `createAQueryAdapter()` Creates a new adapter for an object of class '`AQuery`'.
`org.eclipse.emf.common.notify.Adapter` `createAReplaceAdapter()` Creates a new adapter for an object of class '`AReplace`'.
`org.eclipse.emf.common.notify.Adapter` `createARootAdapter()` Creates a new adapter for an object of class '`ARoot`'.
`org.eclipse.emf.common.notify.Adapter` `createARuleAdapter()` Creates a new adapter for an object of class '`ARule`'.
`org.eclipse.emf.common.notify.Adapter` `createAScheduleAdapter()` Creates a new adapter for an object of class ' `ASchedule`'.
`org.eclipse.emf.common.notify.Adapter` `createASelectAdapter()` Creates a new adapter for an object of class '`ASelect`'.
`org.eclipse.emf.common.notify.Adapter` `createASetAdapter()` Creates a new adapter for an object of class '`ASet`'.
`org.eclipse.emf.common.notify.Adapter` `createAShapedAdapter()` Creates a new adapter for an object of class '`AShaped`'.
`org.eclipse.emf.common.notify.Adapter` `createASinkAdapter()` Creates a new adapter for an object of class '`ASink`'.
`org.eclipse.emf.common.notify.Adapter` `createATransformAdapter()` Creates a new adapter for an object of class ' `ATransform`'.
`org.eclipse.emf.common.notify.Adapter` `createAWatchAdapter()` Creates a new adapter for an object of class '`AWatch`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createIActAdapter()` Creates a new adapter for an object of class '`IAct`'.
`org.eclipse.emf.common.notify.Adapter` `createIIDAdapter()` Creates a new adapter for an object of class '`IID`'.
`org.eclipse.emf.common.notify.Adapter` `createIValueAdapter()` Creates a new adapter for an object of class '`IValue`'.
`org.eclipse.emf.common.notify.Adapter` `createSNamedAdapter()` Creates a new adapter for an object of class '`SNamed`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaABMActAdapterFactory

    public MetaABMActAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAInputAdapter

    public org.eclipse.emf.common.notify.Adapter createAInputAdapter()

  Creates a new adapter for an object of class '`AInput`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AInput`

### createALiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createALiteralAdapter()

  Creates a new adapter for an object of class '`ALiteral`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ALiteral`

### createAMultiValueAdapter

    public org.eclipse.emf.common.notify.Adapter createAMultiValueAdapter()

  Creates a new adapter for an object of class ' `AMulti Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AMultiValue`

### createAActAdapter

    public org.eclipse.emf.common.notify.Adapter createAActAdapter()

  Creates a new adapter for an object of class '`AAct`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AAct`

### createAControlAdapter

    public org.eclipse.emf.common.notify.Adapter createAControlAdapter()

  Creates a new adapter for an object of class '`AControl`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AControl`

### createARootAdapter

    public org.eclipse.emf.common.notify.Adapter createARootAdapter()

  Creates a new adapter for an object of class '`ARoot`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ARoot`

### createAGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createAGroupAdapter()

  Creates a new adapter for an object of class '`AGroup`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AGroup`

### createAScheduleAdapter

    public org.eclipse.emf.common.notify.Adapter createAScheduleAdapter()

  Creates a new adapter for an object of class ' `ASchedule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASchedule`

### createARuleAdapter

    public org.eclipse.emf.common.notify.Adapter createARuleAdapter()

  Creates a new adapter for an object of class '`ARule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ARule`

### createABuildAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildAdapter()

  Creates a new adapter for an object of class '`ABuild`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ABuild`

### createAInitializeAdapter

    public org.eclipse.emf.common.notify.Adapter createAInitializeAdapter()

  Creates a new adapter for an object of class ' `AInitialize`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AInitialize`

### createAMethodAdapter

    public org.eclipse.emf.common.notify.Adapter createAMethodAdapter()

  Creates a new adapter for an object of class '`AMethod`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AMethod`

### createASinkAdapter

    public org.eclipse.emf.common.notify.Adapter createASinkAdapter()

  Creates a new adapter for an object of class '`ASink`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASink`

### createALogicAdapter

    public org.eclipse.emf.common.notify.Adapter createALogicAdapter()

  Creates a new adapter for an object of class '`ALogic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ALogic`

### createAAnyAdapter

    public org.eclipse.emf.common.notify.Adapter createAAnyAdapter()

  Creates a new adapter for an object of class '`AAny`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AAny`

### createAAllAdapter

    public org.eclipse.emf.common.notify.Adapter createAAllAdapter()

  Creates a new adapter for an object of class '`AAll`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AAll`

### createANoneAdapter

    public org.eclipse.emf.common.notify.Adapter createANoneAdapter()

  Creates a new adapter for an object of class '`ANone`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ANone`

### createAQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createAQueryAdapter()

  Creates a new adapter for an object of class '`AQuery`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AQuery`

### createAEvaluateAdapter

    public org.eclipse.emf.common.notify.Adapter createAEvaluateAdapter()

  Creates a new adapter for an object of class ' `AEvaluate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AEvaluate`

### createAAccessorAdapter

    public org.eclipse.emf.common.notify.Adapter createAAccessorAdapter()

  Creates a new adapter for an object of class ' `AAccessor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AAccessor`

### createAWatchAdapter

    public org.eclipse.emf.common.notify.Adapter createAWatchAdapter()

  Creates a new adapter for an object of class '`AWatch`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AWatch`

### createASetAdapter

    public org.eclipse.emf.common.notify.Adapter createASetAdapter()

  Creates a new adapter for an object of class '`ASet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASet`

### createACreateAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createACreateAgentsAdapter()

  Creates a new adapter for an object of class ' `ACreate Agents`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ACreateAgents`

### createABuildProjectionAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildProjectionAdapter()

  Creates a new adapter for an object of class '`ABuild Projection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ABuildProjection`

### createABuildNetworkAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildNetworkAdapter()

  Creates a new adapter for an object of class ' `ABuild Network`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ABuildNetwork`

### createABuildSpaceAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildSpaceAdapter()

  Creates a new adapter for an object of class ' `ABuild Space`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ABuildSpace`

### createABuildGeographyAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildGeographyAdapter()

  Creates a new adapter for an object of class ' `ABuild Geography` '. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ABuildGeography`

### createABuildGridAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildGridAdapter()

  Creates a new adapter for an object of class ' `ABuild Grid`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ABuildGrid`

### createASelectAdapter

    public org.eclipse.emf.common.notify.Adapter createASelectAdapter()

  Creates a new adapter for an object of class '`ASelect`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASelect`

### createAMoveAdapter

    public org.eclipse.emf.common.notify.Adapter createAMoveAdapter()

  Creates a new adapter for an object of class '`AMove`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AMove`

### createATransformAdapter

    public org.eclipse.emf.common.notify.Adapter createATransformAdapter()

  Creates a new adapter for an object of class ' `ATransform`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ATransform`

### createALeaveAdapter

    public org.eclipse.emf.common.notify.Adapter createALeaveAdapter()

  Creates a new adapter for an object of class '`ALeave`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ALeave`

### createADieAdapter

    public org.eclipse.emf.common.notify.Adapter createADieAdapter()

  Creates a new adapter for an object of class '`ADie`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ADie`

### createAConnectAdapter

    public org.eclipse.emf.common.notify.Adapter createAConnectAdapter()

  Creates a new adapter for an object of class '`AConnect`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AConnect`

### createANetworkAdapter

    public org.eclipse.emf.common.notify.Adapter createANetworkAdapter()

  Creates a new adapter for an object of class '`ANetwork`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ANetwork`

### createADisconnectAdapter

    public org.eclipse.emf.common.notify.Adapter createADisconnectAdapter()

  Creates a new adapter for an object of class ' `ADisconnect`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ADisconnect`

### createAReplaceAdapter

    public org.eclipse.emf.common.notify.Adapter createAReplaceAdapter()

  Creates a new adapter for an object of class '`AReplace`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AReplace`

### createACommandAdapter

    public org.eclipse.emf.common.notify.Adapter createACommandAdapter()

  Creates a new adapter for an object of class '`ACommand`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ACommand`

### createACauseAdapter

    public org.eclipse.emf.common.notify.Adapter createACauseAdapter()

  Creates a new adapter for an object of class '`ACause`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ACause`

### createADiffuseAdapter

    public org.eclipse.emf.common.notify.Adapter createADiffuseAdapter()

  Creates a new adapter for an object of class '`ADiffuse`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ADiffuse`

### createAPerformAdapter

    public org.eclipse.emf.common.notify.Adapter createAPerformAdapter()

  Creates a new adapter for an object of class '`APerform`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `APerform`

### createAShapedAdapter

    public org.eclipse.emf.common.notify.Adapter createAShapedAdapter()

  Creates a new adapter for an object of class '`AShaped`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AShaped`

### createALoadShapedAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createALoadShapedAgentsAdapter()

  Creates a new adapter for an object of class '`ALoad Shaped Agents`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ALoadShapedAgents`

### createACreateShapedAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createACreateShapedAgentsAdapter()

  Creates a new adapter for an object of class '`ACreate Shaped Agents`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ACreateShapedAgents`

### createALoadAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createALoadAgentsAdapter()

  Creates a new adapter for an object of class ' `ALoad Agents`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ALoadAgents`

### createIIDAdapter

    public org.eclipse.emf.common.notify.Adapter createIIDAdapter()

  Creates a new adapter for an object of class '`IID`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IID`

### createIValueAdapter

    public org.eclipse.emf.common.notify.Adapter createIValueAdapter()

  Creates a new adapter for an object of class '`IValue`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IValue`

### createIActAdapter

    public org.eclipse.emf.common.notify.Adapter createIActAdapter()

  Creates a new adapter for an object of class '`IAct`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IAct`

### createSNamedAdapter

    public org.eclipse.emf.common.notify.Adapter createSNamedAdapter()

  Creates a new adapter for an object of class '`SNamed`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SNamed`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.